{% if variant and variant != "default" %}
  {% set attributes = attributes|add_class("usa-step-indicator--" ~ variant|replace("_", "-")) %}
{% endif %}
{% set total = 0 %}
{% if completed_items and in_progress_items %}
  {% set total = completed_items|length + in_progress_items|length %}
{% endif %}
{% set completed = completed_items|length %}
<div {{ attributes|add_class("usa-step-indicator") |set_attribute("aria-label", "progress") }}>
  <ol class="usa-step-indicator__segments">
    {% for completed_item in completed_items %}
      {% set list_attributes = {"class": ["usa-step-indicator__segment"]} %}
      {% if loop.last == false %}
        {% set list_attributes = list_attributes|add_class("usa-step-indicator__segment--complete") %}
      {% else %}
        {% set list_attributes = list_attributes|add_class("usa-step-indicator__segment--current") %}
      {% endif %}
      <li {{ list_attributes }}>
        <span class="usa-step-indicator__segment-label">
          {{ completed_item }}
          <span class="usa-sr-only">{{ "Completed"|t }}</span>
        </span>
      </li>
    {% endfor %}
    {% for in_progress_item in in_progress_items %}
      {% set list_attributes = {"class": ["usa-step-indicator__segment"]} %}
      <li {{ list_attributes }}>
        <span class="usa-step-indicator__segment-label">
          {{ in_progress_item }}
          <span class="usa-sr-only">{{ "Not completed"|t }}</span>
        </span>
      </li>
    {% endfor %}
  </ol>
  <div class="usa-step-indicator__header">
    <h{{ heading_level }} class="usa-step-indicator__heading">
    <span class="usa-step-indicator__heading-counter">
      <span class="usa-sr-only">{{ "Step"|t }}</span>
      <span class="usa-step-indicator__current-step">{{ completed }}</span>
      <span class="usa-step-indicator__total-steps">of {{ total }}</span>
    </span>
    <span class="usa-step-indicator__heading-text">{{ label }}</span>
    </h{{ heading_level }}>
  </div>
</div>
